LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
VBAEventProcessor Service Reference

`import"VBAEventProcessor.idl";`

Inheritance diagram for VBAEventProcessor:

## Additional Inherited Members
Public Member Functions inherited from XVBAEventProcessor
boolean | hasVbaEventHandler ([in] long nEventId, [in] sequence< any > aArgs) raises (::com::sun::star::lang::IllegalArgumentException)
| Returns whether a VBA event handler exists. More...
boolean | processVbaEvent ([in] long nEventId, [in] sequence< any > aArgs) raises (::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::util::VetoException)
| Executes a VBA event handler. More...

The documentation for this service was generated from the following file:

- com/sun/star/script/vba/VBAEventProcessor.idl